diff tests/test-abort-checkin @ 2831:0b9ac7dfcf56

Fix some tests for portability.
author Danek Duvall <danek.duvall@sun.com>
date Wed, 09 Aug 2006 12:05:40 -0700
parents 6bd351194a96
children 61fcd9fac434
line wrap: on
line diff
--- a/tests/test-abort-checkin
+++ b/tests/test-abort-checkin
@@ -3,6 +3,11 @@
 HGRCPATH=$HGTMP/.hgrc; export HGRCPATH
 echo "[extensions]" >> $HGTMP/.hgrc
 echo "mq=" >> $HGTMP/.hgrc
+cat > $HGTMP/false <<EOF
+#!/bin/sh
+exit 1
+EOF
+chmod +x $HGTMP/false
 
 hg init foo
 cd foo
@@ -11,7 +16,7 @@ hg add foo
 
 # mq may keep a reference to the repository so __del__ will not be called
 # and .hg/journal.dirstate will not be deleted:
-HGEDITOR=false hg ci
-HGEDITOR=false hg ci
+HGEDITOR=$HGTMP/false hg ci
+HGEDITOR=$HGTMP/false hg ci
 
 exit 0